org.apache.cassandra.utils

## Class SigarLibrary

- java.lang.Object
- - org.apache.cassandra.utils.SigarLibrary

    public class SigarLibrary
    extends java.lang.Object

### Field Summary

Fields
`static SigarLibrary` `instance`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getPid()`
`boolean` `initialized()`
`void` `warnIfRunningInDegradedMode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final SigarLibrary instance

### Method Detail

#### initialized

    public boolean initialized()

Returns:
  true or false indicating if sigar was successfully initialized

#### getPid

    public long getPid()

#### warnIfRunningInDegradedMode

    public void warnIfRunningInDegradedMode()